Bug 242660 - firestarter can't run F7 in gnome - get kicked out without asking for password
Summary: firestarter can't run F7 in gnome - get kicked out without asking for password
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: firestarter   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Damien Durand
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-05 11:25 UTC by David
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-17 18:27:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David 2007-06-05 11:25:33 UTC
Description of problem:
You can't access firestarter from gnome menu.  As soon as you select it you
don't get the root password prompt, instead you get kicked out and a box says:

Insufficient privileges, you must have root user privileges to use firestarter

Its a major problem as you have to run gnome as root to configure firestarter.

Version-Release number of selected component (if applicable):
Its fc6 version (all that is available), need a fixed fc7 version asap.

How reproducible:
Try clicking it get the message

Steps to Reproduce:
1.Click firestarter in gnome menu
2.Get kicked off message
3.
  
Actual results:
Same

Expected results:
You should be able to access firestarter, it should ask you for the root password

Additional info:

Comment 1 Keith Dixon 2007-06-06 14:23:27 UTC
The firestarter rpm is firestarter-1.0.3-14.fc6, i.e. the old fc6 one.  f7 seems
to have changed the pam configuration.  Specifically, /lib/security/pam_stack.so
is no longer present and /etc/pam.d/firestarter refers to it.  Some other files
in /etc/pam.d have the contents:-

#%PAM-1.0
auth		include		config-util
account		include		config-util
session		include		config-util

editing /etc/pam.d/firestarter to these contents seems to work but I do not know
if it introduces any security issues.


Comment 2 David 2007-06-06 22:35:12 UTC
It should be properly built as a F7 package, especially considering that a clean
F7 install I read on fedoraforums installs it by default!

Comment 3 David 2007-06-11 06:52:06 UTC
Temporary Fix

Login as root

mv /etc/pam.d/firestarter /etc/pam.d/_firestarter
cp /etc/pam.d/system-config-rootpassword /etc/pam.d/firestarter

Problem solved!

A backup of firestarter is kept as _firestarter

I figured copying the system-config-rootpassword configuration was a safe bet.



Note You need to log in before you can comment on or make changes to this bug.